Subject: Re: [MBONED] Suggested format changes for address prefixes in ipv6-multicast-addresses registry

From: Alfred Hönes <[email-masked]>
Date: Fri, 3 Apr 2009 10:07:12 +0200 (MESZ)

Michelle,
generally, I agree with the proposed changes in the
ipv6-multicast-addresses registry, ...

> - Solicited Node Multicast addresses:
>   FF02::1:FFXX:XXXX can be changed to FF02:0:0:0:0:1:FF00::/104
>
> - Service Location, Version 2 Multicast addresses:
>   FF0X:0:0:0:0:0:1:1000-FF0X:0:0:0:0:0:13FF can be changed to
>   FF0X::1:1000/118.
>   It also needs to be moved from the Site-local table
>   to the Variable scope table
>
> ...

... but for consistency in style and improved readability,
I suggest to modify the first item in the proposal to also use
an *internal* "::", and specify the trailing part of the prefix
explicitely, as in the second instance (and others).

So I suggest using instead of your first item:

- Solicited Node Multicast addresses:
  FF02::1:FFXX:XXXX can be changed to FF02::1:FF00:0000/104
                                          ^^      ^^^^^

This way all prefixes with long runs of zero bits after the
leading 16-bit group would be uniformly written as  FFxx::___ ,
with the "::" after the first 16-bit group.

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+